<template>
  <!-- je transform la propriété class en :class pour récupérer le parametre navBarClass envoyé par le parent-->
  <nav :class="navBarClass">
    <a class="navbar-brand">Navbar</a>
    <form class="form-inline">
      <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" />
      <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
    </form>
  </nav>
</template>
<script>
export default {
  // je récupère dans props les paramètres envoyés par le component parent
  props: ["navBarClass"]
};
</script>
